/***************************************************************************
                          cmaptoolbase.cpp
                      -------------------
    description          : Base class for map tools
    begin                : Fri Sep 8 2000
    copyright            : (C) 2000 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmaptoolbase.h"

CMapToolBase::CMapToolBase(CMapData *mapData,CMapWidget *map,int id1, QString name,QPixmap icon, KToolBar *toolBar,QPopupMenu *menu1) : QObject()
{
	mapperData = mapData;
	mapWidget = map;
 	elementList = map->getElementList();
 	setDownIcon(icon);
 	setUpIcon(icon);
 	toolsToolbar = toolBar;
 	name1 = name;
 	id = id1;
 	menu = menu1;
 	
 	toolsToolbar->insertButton(icon, id, true, name); 	
	toolsToolbar->setToggle(id,true);
	menu->insertItem(icon,name,id);		
}

void CMapToolBase::setDownIcon(QPixmap icon)
{
	downIcon = icon;
}

void CMapToolBase::setUpIcon(QPixmap icon)
{
	upIcon = icon;
}

QPixmap CMapToolBase::getUpIcon(void)
{
	return upIcon;
}

QPixmap CMapToolBase::getDownIcon(void)
{
	return downIcon;
}
