/***************************************************************************
                          cmaptooltext.h
                      -------------------
    description          : The text tool class
    begin                : Thu Nov 23 2000
    copyright            : (C) 2000 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef CMAPTOOLTEXT_H
#define CMAPTOOLTEXT_H

#include "cmaptoolbase.h"

/**This tool is used to create text elements on the map
  *@author John-Paul Stanford
  */
class CMapToolText : public CMapToolBase
{
public: 
	CMapToolText(CMapData *mapData,CMapWidget *map,int id, QString name,QPixmap icon, KToolBar *toolBar,QPopupMenu *menu) : CMapToolBase(mapData,map,id,name,icon,toolBar,menu) { }
	~CMapToolText() { }
	
	/** This method is called when the mouse is pressed */
	void mousePressEvent(QMouseEvent *e);
	/** This method is called when the mouse is released */
	void mouseReleaseEvent(QMouseEvent *e);
	/** This method is called when the mouse is moved */
	void mouseMoveEvent(QMouseEvent *e);
	/** This function called when the text tool is selected */
	void toolSelected(void);
	/** This function is called when the text tool is unselected */
	void toolUnselected();

};

#endif
