/***************************************************************************
                          dlgcustomtoolbar.h
                      -------------------
    description          :
    begin                : Tue Nov 14 2000
    copyright            : (C) 2000 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGCUSTOMTOOLBAR_H
#define DLGCUSTOMTOOLBAR_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlistview.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include <qmessagebox.h>

#include <kapp.h>
#include <kiconloader.h>


#include "../ccharacterprofile.h"
#include "../kmuddoc.h"

#include "dlgcustomtoolbarinput.h"

/**
  *@author John-Paul Stanford
  */

class DlgCustomToolbar : public QDialog  {
   Q_OBJECT
public: 
	DlgCustomToolbar(KmudDoc* document,QWidget *parent=0, const char *name=0);
	~DlgCustomToolbar();

protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QPushButton *cmdOk;
	QPushButton *cmdCancel;
	QGroupBox *fraToolbars;
	QListView *toolbarListView;
	QPushButton *cmdUp;
	QPushButton *cmdDown;
	QPushButton *cmdNew;
	QPushButton *cmdEdit;
	QPushButton *cmdDelete;
	//Generated area. DO NOT EDIT!!!(end)

private:
	/** Updates the List View of all the toolbar buttons */
	void updateListView(QString nameSelect);
	/** Pointer to the document */
	KmudDoc *doc;
	/** the current toolbar entry */
	int currentToolbarEntry;
	/** The character profile we're working with */
	CCharacterProfile* profile;

public slots:

	/** When "OK" is pressed */
	void slotOKPressed();
	/** When "CANCEL" is pressed */
	void slotCancelPressed();
	/** When "NEW" is pressed */
	void slotNewPressed();
	/** When "EDIT" is pressed */	
	void slotEditPressed();
	/** When "DELETE" is pressed */	
	void slotDeletePressed();
	/** When "UP" is pressed */	
	void slotUpPressed();
	/** When "DOWN" is pressed */	
	void slotDownPressed();
};

#endif
