/***************************************************************************
                          dlgoptionecho.h
                        -------------------
    description          : Echo Options Dialog Class
    begin                : Sat Sep 11 1999
    copyright            : (C) 2000 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGOPTIONECHO_H
#define DLGOPTIONECHO_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qbuttongroup.h>

/**
  * Echo Options Dialog Class
  *@author Stephan Uhlmann
  */

class DlgOptionEcho : public QWidget  {
   Q_OBJECT
public:
	/** constructor */
	DlgOptionEcho(QWidget *parent=0, const char *name=0);
	/** destructor */
	~DlgOptionEcho();

	/** get local echo mode (0-off, 1-on, 2-auto) */
	int getLocalEchoMode();
	/** get input echo mode (0-off, 1-on, 2-auto) */
	int getInputEchoMode();
	/** set local echo mode (0-off, 1-on, 2-auto) */
	void setLocalEchoMode(int);
	/** set input echo mode (0-off, 1-on, 2-auto) */
	void setInputEchoMode(int);

	/** get option whether also to supress newline in local echo off mode */
	bool getLocalEchoSuppressNewline();
	/** set option whether also to supress newline in local echo off mode */
	void setLocalEchoSuppressNewline(bool);

public slots:
	/** enables/disables some widgets correctly depending on other widget states */
	void slotSetEnablesDisables();


protected: 
	/** initalizes Dialog (KDevelop generated) */
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *localEcho_GroupBox;
	QCheckBox *suppressNewline_CheckBox;
	QRadioButton *localEchoAuto_RadioButton;
	QRadioButton *localEchoOn_RadioButton;
	QRadioButton *localEchoOff_RadioButton;
	QGroupBox *inputEcho_GroupBox;
	QRadioButton *inputEchoAuto_RadioButton;
	QRadioButton *inputEchoOn_RadioButton;
	QRadioButton *inputEchoOff_RadioButton;
	//Generated area. DO NOT EDIT!!!(end)

private: 
	QButtonGroup* localEcho_ButtonGroup;
	QButtonGroup* inputEcho_ButtonGroup;

};

#endif
