/***************************************************************************
                          dlgoptionsinput.h
                      -------------------
    description          : DialogTab for special input characters and keys
    begin                : Sun Oct 22 2000
    copyright            : (C) 2000 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGOPTIONSINPUT_H
#define DLGOPTIONSINPUT_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>

/**
  *@author Kevin Krammer
  */

class DlgOptionsInput : public QDialog  {
   Q_OBJECT
public: 
	DlgOptionsInput(QWidget *parent=0, const char *name=0);
	~DlgOptionsInput();

  /** sets the speedwalking character */
  void setSpeedwalkingChar(QString s);
  /** gets the speedwalking character */
  QString getSpeedwalkingChar();
  /** sets the extern-command character */
  void setExternChar(QString s);
  /** gets the extern-command character */
  QString getExternChar();
  /** sets the separator character */
  void setSeparator(QString s);
  /** gets the separator character */
  QString getSeparator();
	/** returns whether to enable/disable all special chars */
	bool getEnableSpecialChars();
	/** sets whether to enable/disable all special chars */
	void setEnableSpecialChars(bool);

public slots:
	/** enables/disables some widgets correctly depending on other widget states */
	void slotSetEnablesDisables();


protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *specialCharactersGroupBox;
	QCheckBox *enableSpecial_CheckBox;
	QLabel *externCharLabel;
	QLabel *speedwalkingLabel;
	QLineEdit *externCharLineEdit;
	QLineEdit *separatorLineEdit;
	QLineEdit *speedwalkingLineEdit;
	QLabel *separatorLabel;
	//Generated area. DO NOT EDIT!!!(end)

private: 
};

#endif
